<%@page import="lt.bit.prekes.models.Product"%>
<%@page import="java.util.List"%>
<%@ page language="java" contentType="text/html; charset=utf-8"
    pageEncoding="utf-8"%>
<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<title>Insert title here</title>
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
</head>
<body>
  <div class="container">
  	<div class="row">
  		<div class="col-md-12">
  			<div class="card mt-5">
  				<div class="card-header">Prekės</div>
  				<div class="card-body">
  				<a href="/PrekesHibernate/new" class="btn btn-success">Pridėti naują prekę</a>
  				<table class="table">
				  	<thead>
				  		<tr>
				  			<th>Pavadinimas</th>
				  			<th>Kaina</th>
				  			<th>Barkodas</th>
				  			<th>Kategorija</th>
				  			<th></th>
				  		</tr>
				  	</thead>
				  	
				  	<tbody>
						<%
						  List<Product> products=(List<Product>) request.getAttribute("products");
						  for (Product p:products){
							  %>
							  <tr>
							  	<td><%=p.getName() %></td>
							  	<td><%=p.getPrice() %></td>
							  	<td><%=p.getBarcode() %></td>
							  	<td><%=p.getCategory()!=null?p.getCategory().getName():"" %></td>
							  	<td>
							  		<a href="/PrekesHibernate/update?id=<%=p.getId() %>" class="btn btn-info">Redaguoti</a>
							  		<a href="/PrekesHibernate/delete?id=<%=p.getId() %>" class="btn btn-danger">Ištrinti</a>
							  </tr>
							  <%
						  }
						%>
					</tbody>
				  </table>
  				</div>
  			</div>
  		</div>
  	</div>
  </div>
  
  
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
</body>
</html>